DependencyVerificationMode (Gradle API 8.14.1)
Description: declaration: package: org.gradle.api.artifacts.verification, enum: DependencyVerificationMode

Package org.gradle.api.artifacts.verification

# Enum DependencyVerificationMode

java.lang.Object
java.lang.Enum<DependencyVerificationMode>
org.gradle.api.artifacts.verification.DependencyVerificationMode

All Implemented Interfaces:
  `Serializable`, `Comparable<DependencyVerificationMode>`, `java.lang.constant.Constable`

public enum DependencyVerificationMode extends Enum<DependencyVerificationMode>
The different dependency verification modes. By default, Gradle will use the strict mode, which means that it will verify dependencies and fail as soon as possible, to avoid as much compromising of the builds as possible. There are, however, two additional modes which can be used: the lenient one will collect all errors but only log them to the CLI. This is useful when updating the file and you want to collect as many errors as possible before failing. The last one is "off", meaning that even if verification metadata is present, Gradle will not perform any verification. This can typically be used whenever verification should only happen on CI.

Since:
  6.2

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LENIENT`
  `OFF`
  `STRICT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DependencyVerificationMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DependencyVerificationMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STRICT

    public static final DependencyVerificationMode STRICT

  - ### LENIENT

    public static final DependencyVerificationMode LENIENT

  - ### OFF

    public static final DependencyVerificationMode OFF

- ## Method Details

  - ### values

    public static DependencyVerificationMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DependencyVerificationMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null